Index: manager.c
===================================================================
--- manager.c	(revision 159892)
+++ manager.c	(working copy)
@@ -1107,9 +1107,13 @@
 
 static int action_ping(struct mansession *s, const struct message *m)
 {
-	astman_append(s, "Response: Success\r\n"
-		"Ping: Pong\r\n"
-		"\r\n");
+	const char *actionId = astman_get_header(m, "ActionID");
+
+	astman_append(s, "Response: Success\r\n");
+	if (!ast_strlen_zero(actionId)){
+		astman_append(s, "ActionID: %s\r\n", actionId);
+	}
+	astman_append(s, "Ping: Pong\r\n\r\n");
 	return 0;
 }
 
